Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122239 - Review Request: nodejs-socks-proxy-agent - A SOCKS (v4a) proxy http.Agent implementation
Summary: Review Request: nodejs-socks-proxy-agent - A SOCKS (v4a) proxy http.Agent imp...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122208 1122221 1122232
Blocks: nodejs-reviews 1122231
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:06 UTC by Ralph Bean
Modified: 2014-09-09 22:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-20 14:13:46 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:06:15 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-socks-proxy-agent.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-socks-proxy-agent-0.1.2-1.fc20.src.rpm

Description:
This module provides an http.Agent implementation that connects to a specified
SOCKS (v4a) proxy server, and can be used with the built-in http or https
modules.

It can also be used in conjunction with the ws module to establish a WebSocket
connection over a SOCKS proxy.

Comment 1 Ralph Bean 2014-08-18 13:25:17 UTC
New Package SCM Request
=======================
Package Name: nodejs-socks-proxy-agent
Short Description: A SOCKS (v4a) proxy http.Agent implementation
Upstream URL: https://npmjs.org/package/socks-proxy-agent
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 2 Ralph Bean 2014-08-18 13:25:44 UTC
Pardon - I prematurely added the scm request.

Comment 3 Parag AN(पराग) 2014-08-19 01:26:13 UTC

Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-socks-proxy-agent.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-socks-proxy-agent.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-socks-proxy-agent.noarch: W: spelling-error %description -l en_US https -> HTTP
nodejs-socks-proxy-agent.noarch: W: spelling-error %description -l en_US ws -> es, w, s
nodejs-socks-proxy-agent.noarch: W: only-non-binary-in-usr-lib
nodejs-socks-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/socks-proxy-agent/node_modules/rainbowsocks /usr/lib/node_modules/rainbowsocks
nodejs-socks-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/socks-proxy-agent/node_modules/agent-base /usr/lib/node_modules/agent-base
nodejs-socks-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/socks-proxy-agent/node_modules/extend /usr/lib/node_modules/extend
nodejs-socks-proxy-agent.src: W: spelling-error Summary(en_US) http -> HTTP
nodejs-socks-proxy-agent.src: W: spelling-error %description -l en_US http -> HTTP
nodejs-socks-proxy-agent.src: W: spelling-error %description -l en_US https -> HTTP
nodejs-socks-proxy-agent.src: W: spelling-error %description -l en_US ws -> es, w, s
2 packages and 0 specfiles checked; 0 errors, 12 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :4b52f86453d1f37c91fb5e7db19a3be0fee47bfa9e6fe15b833f4f8ee8552c6f
upstream tarball :4b52f86453d1f37c91fb5e7db19a3be0fee47bfa9e6fe15b833f4f8ee8552c6f

+ License "MIT" is valid and is included in README.md file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 4 Ralph Bean 2014-08-20 12:51:26 UTC
New Package SCM Request
=======================
Package Name: nodejs-socks-proxy-agent
Short Description: A SOCKS (v4a) proxy http.Agent implementation
Upstream URL: https://npmjs.org/package/socks-proxy-agent
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-08-20 13:55:34 UTC
Git done (by process-git-requests).

Comment 6 Ralph Bean 2014-08-20 14:13:46 UTC
Built for rawhide:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7431084

Comment 7 Fedora Update System 2014-08-20 14:41:18 UTC
nodejs-socks-proxy-agent-0.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-socks-proxy-agent-0.1.2-1.fc20

Comment 8 Fedora Update System 2014-08-20 14:41:28 UTC
nodejs-socks-proxy-agent-0.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-socks-proxy-agent-0.1.2-1.fc19

Comment 9 Ralph Bean 2014-08-20 14:42:16 UTC
Buildroot overrides created.

Comment 10 Fedora Update System 2014-09-09 22:22:42 UTC
nodejs-socks-proxy-agent-0.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2014-09-09 22:25:44 UTC
nodejs-socks-proxy-agent-0.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.